<?php
session_start();
require('../cfg/res.php');
require('../../_lib/vrdocu0.php');
include('php_gene1.php');


$sql_pago='select *from cxco11 where idnum1='.'"'.$_POST['idnum'].'"';
$sql_pago='select *from cxco1 where idnum1='.'"'.$_POST['idnum'].'"';
//$sql_pago='select *from cxpa22 where docum="'.$_POST['docum'].'"  and numer="'.$_POST['numero'].'" and enti="'.$_POST['ci'].'"';
//die($sql_pago);
//$_POST['docum'] $_POST['ptoex']
$res_pago=mysql_query($sql_pago,$link_vcrx);
$docu=mysql_result($res_pago,0,'docu');
$ptoe=mysql_result($res_pago,0,'ptoe');
$ptov=mysql_result($res_pago,0,'ptov');
$numero=mysql_result($res_pago,0,'numero');
$enti=mysql_result($res_pago,0,'enti');

//die('abc'.$_POST['numero']);

$cant=$_POST['cant'];
$base=$_POST['base'];
$porc=$_POST['porc'];
$xdocu=strtoupper($_POST['docu']);
$xptoe=$_POST['ptoe'];
$xcaja=$_POST['caja'];
$xcair=$_POST['cair'];
$xconcepto=$_POST['concepto'];
$xfecha=$_POST['fecha'];
$xnumero=str_pad($_POST['numer'], 9, "0", STR_PAD_LEFT);


if(mb_stristr('RC',substr($xdocu,0,2)))
{$xdocu='RCLI';}


if(empty($xfecha)){$xfecha=date('Y-m-d');}
if(empty($xdocu))
{$xdocu="IE10";}

$sql_docu='select *from docu0 where docu_codigo ="'.$xdocu.'"';
$res_docu=mysql_query($sql_docu,$link_vcrx);
$tabla=mysql_result($res_docu,0,'docu_tabla');
// echo $tabla;

$puni=0;
if(mb_stristr('RC',substr($xdocu,0,2)))
{
	$cant=$base;
	$puni=$porc;
}

if($porc>=30){$xcair="000";}
// if($xdocu=="IE10")
if(mb_stristr('IE.CC.AC',substr($xdocu,0,2)))
{
	if (empty($xcaja))
	{
    $sql_ptov='select *from ptov0 where ptov_codigo ="'.$ptov.'"';
    $res_ptov=mysql_query($sql_ptov,$link_vcrx);
    $xcaja=mysql_result($res_ptov,0,'ptov_caja');
	}
	if (empty($xcaja))
	{
    $sql_ptov='select *from user0 where user_cedula ="'.$_SESSION['user_vcrx_id'].'"';
    $res_ptov=mysql_query($sql_ptov,$link_vcrx);
    $xcaja=mysql_result($res_ptov,0,'user_caja');
	}
	if (empty($xcaja)){$xcaja="C001";}

	if (empty($xptoe))
	{
    $sql_ptoe='select *from caja0 where caja_codigo ="'.$xcaja.'"';
    $res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
    $xptoe=mysql_result($res_ptov,0,'caja_ptoe');
	}
	
// 	$sql_ptov='select *from numdocu where docu ="'.$xdocu.'"';
// 	$res_ptov=mysql_query($sql_ptov,$link_vcrx);
// 	$xnumero=1;
// 	if(mysql_num_rows($res_ptov)!=0)
// 	{$xnumero=intval(mysql_result($res_ptov,0,'numero')+1);}
// 	$xnumero=str_pad($xnumero,9,'0',STR_PAD_LEFT);
  $xnumero=nume_docu($xdocu,$xcaja);
  
}

$puni=0;
if(mb_stristr('RC',substr($xdocu,0,2)))
{
	$cant=$base;
	$puni=$porc;
}

// $docux=new vrdocu0('../cfg/res.php',$_POST['docu']);
// $docux=new vrdocu0('../cfg/res.php',$xdocu);

// if($docux->error!='0')
// {
// 	die('Documento Incorrecto');
// }

if(!mb_stristr('caja.bcos.retc',$tabla))
{die('ERROR: Documento Incorrecto');}

if($cant<=0)
{die('ERROR: Cantidad Incorrecta');}


$sql_pago1 ='select count(*) as total ';
$sql_pago1.='from '.$tabla.'1 ';
$sql_pago1.='where docu="'.$xdocu.'" ';
$sql_pago1.='and ptoe="'.$_POST['ptoe'].'" ';
$sql_pago1.='and numero="'.$xnumero.'" ';
$sql_pago1.='and enti="'.$enti.'" ';
$sql_pago1.='and status!="X" ';
$sql_pago1.='limit 1';
$res_pago1=mysql_query($sql_pago1,$link_vcrx);
$tot_pago1=mysql_result($res_pago1,0,'total');

$idnum1_pago='';
$xiddet=0;



// if(mysql_num_rows($res_pago1)==0 and substr($xdocu,0,2)=='RC')
// {
//   $sql_pago1 ='select * from '.$tabla.'1 ';
//   $sql_pago1.='where docu="'.$xdocu.'" ';
// //   $sql_pago1.='and ptoe="'.$xptoe.'" and numero="'.$xnumero.'" ';
//   $sql_pago1.='and enti="'.$enti.'" and numero="'.$xnumero.'" ';
//   $sql_pago1.='and ptoe!="" and ptoe is not null ';
//   $sql_pago1.='and status!="O" ';
//   $sql_pago1.='and status!="X" ';
//   $sql_pago1.='order by idnum1 desc, ptoe desc ';
//   $sql_pago1.='limit 1';
//   $res_pago1=mysql_query($sql_pago1,$link_vcrx);
//   $xptoe2=@mysql_result($res_pago1,0,'ptoe');
//   if($xptoe2!=''){$xptoe=$xptoe2;}
// }


if($tot_pago1>0)
{
	if(substr($xdocu,0,2)!='RC')
	{die('ERROR: Ya esta Previamente registrado');}

  $sql_pago1='select *from '.$tabla.'1 where docu="'.$xdocu.'" and ptoe="'.$_POST['ptoe'].'" and numero="'.$xnumero.'" and enti="'.$enti.'" and status!="X" limit 1';
  $res_pago1=mysql_query($sql_pago1,$link_vcrx);
  $idnum1_pago=mysql_result($res_pago1,0,'idnum1');
}
//if(mysql_num_rows($res_pago1)!=0){ die('Ya esta Previamente registrado'.$sql_pago1); }


if($idnum1_pago=='')
{

$sql_pago='insert into '.$tabla.'1 (
	docu,
	ptoe,
	numero,
	fecha,
	enti,
	caja,
	ctab,
	concepto,
	iuser,
	idate,
	status
	)
values(
"'.strtoupper($xdocu).'",
"'.$xptoe.'",
"'.$xnumero.'",
"'.$xfecha.'",
"'.$enti.'",
"'.$xcaja.'",
"'.$_POST['ctab'].'",
"'.$xconcepto.'",
"'.$_SESSION['user_vcrx_id'].'",
now(),
"-"
)';
	
mysql_query($sql_pago,$link_vcrx);	
}



// echo $sql_pago;
// if(mysql_query($sql_pago,$link_vcrx))
if(1==1)	
{
	$sql_pago1='select *from '.$tabla.'1 ';
	$sql_pago1.=' where docu="'.$xdocu.'" ';
	$sql_pago1.=' and	ptoe="'.$xptoe.'" and	numero like "%'.$xnumero.'" ';
	$sql_pago1.=' and	enti="'.$enti.'" ';
  $sql_pago1.=' and status!="X" ';
  $sql_pago1.=' order by idnum1 desc, ptoe desc ';
	$sql_pago1.=' limit 1';
	$res_pago1=mysql_query($sql_pago1,$link_vcrx);
// 	echo $sql_pago1;


  if(mysql_num_rows($res_pago1)==0)
  {
    $sql_pago1 ='select * from '.$tabla.'1 ';
    $sql_pago1.='where docu="'.$xdocu.'" ';
  //   $sql_pago1.='and ptoe="'.$xptoe.'" and numero="'.$xnumero.'" ';
    $sql_pago1.=' and	numero like "%'.$xnumero.'" ';
    $sql_pago1.=' and	enti="'.$enti.'" ';
    $sql_pago1.=' and status!="X" ';
    $sql_pago1.=' order by idnum1 desc, ptoe desc ';
    $sql_pago1.=' limit 1';
    $res_pago1=mysql_query($sql_pago1,$link_vcrx);
    $xptoe=@mysql_result($res_pago1,0,'ptoe');
  }

  
  
  
  
	if(mysql_num_rows($res_pago1)!=0)
	{	
		
		$idnum1_pago=mysql_result($res_pago1,0,'idnum1');

		$sql_pago2='select * from '.$tabla.'2 where idnum2='.$idnum1_pago;
		$res_pago2=mysql_query($sql_pago2,$link_vcrx);
		$xiddet=mysql_num_rows($res_pago2)+1;
		
		
		$idnum1_pago=mysql_result($res_pago1,0,'idnum1');
		$sql_pago2='insert into '.$tabla.'2 (
		idnum2,
		iddet,
		docum,
		ptoem,
		numer,
		cant,
		puni,
		cair,
		detalle
		)
		values(
		"'.$idnum1_pago.'",
		"'.$xiddet.'",
		"'.$docu.'",
		"'.$ptoe.'",
		"'.$numero.'",
		"'.$cant.'",
		"'.$puni.'",
		"'.$xcair.'",
		""
		)
		';
		if(mysql_query($sql_pago2)){
// 			echo $idnum1_pago;
		}
		else{
// 			echo $idnum1_pago;
		}
// 		echo $sql_pago2;
	}
	else{echo 'ERROR:2'. $sql_pago2;}
	
}
else{echo 'ERROR:1'.$sql_pago;}

?>